
/*
	Simple Text Display class from which TextDisplays and other
	things are derived.  Provides basic dirty/refresh stuff.

	by Pat Niemeyer (pat@icon-stl.net)
*/

package text;

import browser.Applet;
import awt.Graphics;

public class Display {
	boolean DIRTY = true;
	Applet applet;

	Display ( Applet mom ) {
		applet = mom;
	}

	Display ( Display sib ) {
		applet = sib.applet;
	}

	public void repaint() {
		DIRTY=true;
		applet.repaint();
	}

	public void update(Graphics g) {

		if ( DIRTY ) {
			paint(g);
			DIRTY = false;
		}
	}

	abstract public void paint(Graphics g);
}


