
/*
	Simple TextDisplay class from which TextBox and TextEntry are
	derived.  Encapsulates some text-y things.
	
	by Pat Niemeyer (pat@icon-stl.net)
*/

package text;

import awt.Color;
import awt.Graphics;
import awt.Font;
import browser.Applet;
import text.*;

public class TextDisplay extends Display {
	public int Width, Height;
	public int xo, yo;
	public Font font;
	protected boolean DIRTY=true;

	protected TextDisplay ( Applet applet, Font f, int x, int y ) {
		super(applet);
		font = f; 
		xo = x; yo = y; 
	}

	protected String maxwidestring( int wide ) {
		String s="@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"; 
		if ( wide > 80 ) wide = 80;
		return( s.substring(0, wide) );
	}

	protected void clear(Graphics g) {
		g.clearRect(xo+1, yo+1, Width-2, Height-2);
	}

	protected void drawbox(Graphics g) {
		g.paint3DRect(xo,yo,Width,Height,false,false);
	}

	public boolean mouseIn(int x, int y) {
		return ( (x >= xo) && (x <= (xo+Width)) && 
			(y >= yo)  && (y <= (yo+Height)) );
	}
}
