
/*
	A simple text line which carries around a vector of hypertext
	links.

	by Pat Niemeyer (pat@icon-stl.net)
*/

package text;

import awt.Color;
import java.util.*;
import text.*;

class TextLine {
	String str;
	Color color;
	Vector hlinks;
	
	TextLine( String s, Color c, Vector v ) {
		str = s;
		color = c;
		hlinks = v;
	}

	TextLine () {
		str = new String();
		color = Color.black;
		hlinks = new Vector();
	}

	public TextHLink linkAtX( int x ) {
		for (Enumeration e=hlinks.elements(); e.hasMoreElements(); ) {
			TextHLink hl = (TextHLink)e.nextElement();
			if ( (x >= hl.xpos) && (x <= (hl.xpos + hl.xwidth)) )
				return(hl);
		}
		return(null);
	}
}

