
/* 
	A goofy little text based "wait" spinner.

	by Pat Niemeyer (pat@icon-stl.net)
*/

package text;

import awt.*;

class TextSpinner extends Display implements Runnable {
	int X, Y, thing = 0;
	private Thread runner;
	String spinnertext = "-\\|/-";
	int position = 0;
	Font font;

	TextSpinner ( Display d, Font f, int x, int y ) {
		super(d);
		// Kind of silly, but we need it.
		font = f;
		X = x; Y = y;
	}

	public void paint( Graphics g ) {
		int height = font.actualHeight;
		int slot = (position++)%spinnertext.length();
		g.setFont(font);
		g.clearRect( X, Y-height, font.charWidth('@')+2, height+2 );
		g.setForeground(Color.red);
		g.drawChars( spinnertext.toCharArray(), slot, 1, X, Y );
	}

	public void start() {
		if ( runner == null )
			runner = new Thread(this);

		runner.start();
	}
        
	public void stop() {
		runner.stop();
	}

	public void run() {
		for (int i = 0; true; i++) {
			thing = i;
			repaint();
			Thread.sleep(750);
		}
	}
	
}
